use yew::Classes;

#[derive(Debug, Clone, PartialEq)]
pub struct Margin(pub super::Edge, pub usize);

impl From<&&Margin> for Classes {
    fn from(margin: &&Margin) -> Classes {
        Classes::from(format!("m{}-{}", margin.0, margin.1))
    }
}
